Skip to content

Add SSH Key

POST
/ssh_keys/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ssh_keys/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"label": "ssh_key_name",
"ssh_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx user@hostname"
}'
location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

Media typeapplication/json
object
label
required
string

Example

ssh_key_name
ssh_key
required
string

Example

ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx user@hostname

SSH key added successfully

Media typeapplication/json
object
code
integer
data
object
label
string
ssh_key
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"label": "ssh_key_name",
"ssh_key": "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx user@hostname"
},
"errors": {},
"message": "Your SSH Key has been added"
}